Page MenuHomeMiraheze

Rename parsoid1 to misc3 and increase resources
Closed, ResolvedPublic

Description

As discussed on irc, we should probaly rename parsoid1 to misc3 which will host extension services like parsoid and possibly mathoid + restbase but would also need increased resources too. Upstream are removing the png mode from the math extension so to continue using it with have to setup mathoid + restbase.

Approvals will be needed from @labster and @Southparkfan

Event Timeline

Paladox created this task.Apr 10 2018, 18:14
MacFan4000 updated the task description. (Show Details)Apr 10 2018, 19:19
MacFan4000 updated the task description. (Show Details)
MacFan4000 added a project: Services.
MacFan4000 added a subscriber: labster.
MacFan4000 added a subscriber: MacFan4000.
Paladox updated the task description. (Show Details)Apr 10 2018, 19:25

I have no objections to renaming. Which plan should this server be on in your opinion?

Paladox added a comment.Apr 10 2018, 22:08

I think 2gb of ram should be good for now judging by https://ganglia.miraheze.org/?r=hour&cs=&ce=&c=Miraheze&h=parsoid1.miraheze.org&tab=m&vn=&hide-hf=false&m=load_one&sh=1&z=small&hc=4&host_regex=&max_graphs=0&s=by+name

and in mathoid we can set worker_heap_limit_mb to 250mb or 500mb

restbase dosen't look to have one set

both of those services are nodejs based and npm.

(the plan number 2)

So Ramnode 2GB SVZS which is $7/mo. I assume this would be pending approval from @labster?

Yes, it is, but I would like to see resource usage myself as well (so that means I haven't approved yet). Shall there be a lack of resources like you've said, I can immediately upgrade without issues.

John added a comment.Apr 11 2018, 00:51

parsoid1->misc3 ✔

@Southparkfan Another service that I'd possibly like to include is Citoid (or something similar) as there have been many requests for *any* wiki page -> PDF tool, so we would need more resources to accommodate that.

Reception123 triaged this task as Normal priority.Apr 11 2018, 04:51
Paladox added a comment.Apr 11 2018, 12:43

@Reception123 we could install Citoid on there and see how much ram it uses first :).

Paladox changed the task status from Open to Stalled.Apr 12 2018, 15:31

Changing to stalled pending the services to be installed to find out how much ram they will all use :).

John closed this task as Resolved.Apr 19 2018, 18:38

Resolved in the perspective of what we need to do. If it needs more resources, there’s a process for that.

John claimed this task.Apr 19 2018, 18:38